Note sull'installazione di SIMATIC Automation Tool V3.1 SP4

Nella sezione Istruzioni Esempi Nozioni di base Cronologia Strumenti
Avvio Indietro Avanti

Note sull'installazione di SIMATIC Automation Tool V3.1 SP4

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Termini e condizioni di licenza
  • Note sull'installazione


Termini e condizioni di licenza

Termini e condizioni di licenza

Installando SIMATIC Automation Tool l'utente accetta l'End User License Agreement (EULA) e le informazioni di sicurezza relative all'utilizzo sicuro del prodotto. Accetta inoltre le condizioni e i termini di licenza open source e di terze parti che può visualizzare eseguendo la procedura di installazione completa. Non attivare la funzione di installazione automatica se non dopo aver letto e accettato i termini e le condizioni dei prodotti riportati nelle finestre di dialogo dell'installazione non automatizzata.


Note sull'installazione

Note sull'installazione

Questo capitolo contiene informazioni sugli argomenti seguenti:
  • Sistema operativo e supporto software
  • Ambiente operativo
  • Informazioni sull’installazione
  • Installazione da TIA Software Updater
  • Esecuzione del download da Siemens Industry Online Support
  • Acquisto, licenza e download di SIMATIC Automation Tool
  • Installazione a partire dal file EXE autoestraente
  • Installazione a partire dal file ISO
  • Installazione automatica facoltativa


Sistema operativo e supporto software

Supporto dei sistemi operativi Microsoft Windows a 64 bit Software "Virtual Machine" supportati Software antivirus e di protezione supportati Lingue supportate Comunicazione Hardware Siemens supportato
Avvio Indietro Avanti

Sistema operativo e supporto software

Supporto dei sistemi operativi Microsoft Windows a 64 bit

SIMATIC Automation Tool è utilizzabile con i seguenti sistemi operativi a 64 bit:

  • Windows 7 Home Premium SP1

  • Windows 7 Professional SP1

  • Windows 7 Enterprise SP1

  • Windows 7 Ultimate SP1

  • Windows 10 Home versione 1809 (OS Build 17763)

  • Windows 10 Home versione 1903 (OS Build 18362)

  • Windows 10 Pro versione 1809 (OS Build 17763)

  • Windows 10 Pro versione 1903 (OS Build 18362)

  • Windows 10 Enterprise versione 1809 (OS Build 17763)

  • Windows 10 Enterprise versione 1903 (OS Build 18362)

  • Windows 10 IoT Enterprise 2015 LTSB (OS Build 10240)

  • Windows 10 Enterprise 2016 LTSB (OS Build 14393)

  • Windows 10 IoT Enterprise 2019 LTSB (OS Build 17763)

Siemens non garantisce in alcun modo che tali versioni funzionino e non fornisce alcun servizio di assistenza tecnica a riguardo.

Software "Virtual Machine" supportati

SIMATIC Automation Tool è utilizzabile con il seguente software VM (Virtual Machine):

  • VMware vSphere Hypervisor (ESXi) 6.5 o superiore

  • VMware Workstation 12.5.5

  • VMware Workstation 15.0.2 o superiore

  • VMware Player 12.5.5

  • VMware Player 15.0.2 o superiore

  • Microsoft Hyper-V Server 2016

Siemens non garantisce in alcun modo che tali versioni funzionino e non fornisce alcun servizio di assistenza tecnica a riguardo.

Software antivirus e di protezione supportati

Siemens ha verificato che SIMATIC Automation Tool è utilizzabile con il seguente software antivirus e di protezione:

  • McAfee Endpoint Security (ENS) 10.5

  • Trend Micro Office Scan 12.0

  • Kaspersky Endpoint Security 11.1

  • Windows Defender (integrato nei sistemi operativi Windows)

  • Qihoo 360 "Safe Guard 11.5" + "Virus Scanner"

  • Microsoft Bitlocker (integrato nei sistemi operativi Windows)

  • McAfee Application Control 8.0

SIMATIC Automation Tool potrebbe funzionare anche con altri software VM.

Lingue supportate

L'interfaccia e la Guida utente di SIMATIC Automation Tool sono disponibili in:

  • Inglese

  • Tedesco

  • Francese

  • Spagnolo

  • Italiano

  • Cinese semplificato

Comunicazione

SIMATIC Automation Tool comunica con i dispositivi hardware Siemens attraverso un cavo Ethernet collegato all'interfaccia di rete.

Hardware Siemens supportato

SIMATIC Automation Tool mette a disposizione dell'utente un catalogo con l'elenco dei dispositivi e delle versioni di firmware supportate. Il catalogo dei dispositivi consiste in un foglio Excel accessibile dal comando di menu ? di SIMATIC Automation Tool.


Ambiente operativo

Ambiente operativo

Eseguire le impostazioni necessarie per il sistema operativo Windows:

  • Quando si utilizza SIMATIC Automation Tool disattivare la modalità di congelamento. Se si avvia questa modalità mentre sono attivi dei collegamenti online o si accede via rete ai dati del progetto si possono verificare errori.

  • Impostare le opzioni di risparmio energetico del sistema operativo in modo che il computer non passi mai in modalità di riposo. Questa impostazione evita che il timer attivi automaticamente la modalità di ibernazione. Non attivare manualmente la modalità di congelamento durante la comunicazione.


Informazioni sull’installazione

Panoramica delle opzioni di installazione Regole per l’installazione
Avvio Indietro Avanti

Informazioni sull’installazione

Panoramica delle opzioni di installazione

Per installare SIMATIC Automation Tool procedere in uno dei seguenti modi:

  • Se si utilizza una versione V3.1 esistente o una versione successiva di SIMATIC Automation Tool è possibile aggiornarla alla versione V3.1 SP4 da TIA Software Updater.

  • Se si vuole scaricare e installare SIMATIC Automation Tool con la licenza di prova di 21 giorni, la si può scaricare da Siemens Industry Online Support. Installare quindi SIMATIC Automation Tool dal file .exe scaricato e attivare la licenza di prova per 21 giorni. Se dopo 21 giorni non si acquista la licenza SIMATIC Automation Tool avrà funzioni limitate.

  • È possibile acquistare una licenza di SIMATIC Automation Tool e scaricare il prodotto da Siemens Industry Mall. Con l’acquisto di una licenza sono disponibili tutte le funzionalità. Per installare SIMATIC Automation Tool si possono utilizzare il file .exe o il file .iso scaricato.

  • Dopo aver scaricato il software da Siemens Industry Online Support o dal sito Web Siemens Online Software Delivery (OSD) è possibile utilizzare l’installazione automatica.

I passaggi da seguire per ciascuna opzione sono descritti in maggior dettaglio in argomenti successivi.

Regole per l’installazione

Su un dispositivo di programmazione può essere installata una sola versione di SIMATIC Automation Tool.

Il programma di setup verifica se è presente o meno una versione precedente di SIMATIC Automation Tool e visualizza le istruzioni a seconda del caso:

  • Se il dispositivo di programmazione non contiene un'altra versione di SIMATIC Automation Tool si può procedere all'installazione con il programma di setup.

  • Se il dispositivo di programmazione contiene già la V2.x di SIMATIC Automation Tool o una versione precedente viene chiesto di disinstallarla da Windows. Dopo la disinstallazione riavviare il programma di setup e installare la V3.1 SP4.

  • Se il dispositivo di programmazione contiene già la V3.0 o una versione successiva selezionare Modifica/Aggiorna per aggiornarla con la V3.1 SP4. Se si dispone già di una licenza per la V3.0 o per una versione successiva, la si può utilizzare anche per la V3.1 SP4.


Installazione da TIA Software Updater

Installazione da TIA Software Updater

SIMATIC Automation Tool comprende TIA Software Updater. Se il dispositivo di programmazione è connesso a internet si possono scaricare gli aggiornamenti software di SIMATIC Automation Tool.

SIMATIC Automation Tool consente di cercare automaticamente gli aggiornamenti disponibili per i prodotti software SIMATIC installati. Se sono disponibili degli aggiornamenti si può decidere se installarli o meno nel dispositivo di programmazione.

Per aggiornare SIMATIC Automation Tool all’ultima versione mediante TIA Software Updater, procedere nel seguente modo:

  1. Selezionare il comando di menu "? > Informazioni su SIMATIC Automation Tool".

  2. Nella finestra di dialogo Informazioni, fare clic su "Verifica aggiornamenti".

    Si apre TIA Software Updater, visualizzando nella scheda Software tutti gli aggiornamenti software disponibili. Attendere che TIA Software Updater individui e visualizzi tutte le versioni software disponibili.

  3. Se è presente un aggiornamento per SIMATIC Automation Tool, fare clic sul pulsante di download corrispondente per scaricare la nuova versione.

    Durante il download viene visualizzato un indicatore di avanzamento. Al termine del download il pulsante di installazione viene abilitato e il pulsante "Download” si modifica in "Downloaded".

  4. Fare clic sul pulsante "Install" per installare il software scaricato. Il programma di setup guida l'utente durante l'intera procedura.

In TIA Software Updater è possibile ripetere la ricerca in qualsiasi momento facendo clic su "Search for software updates".


Esecuzione del download da Siemens Industry Online Support

Installazione e utilizzo di SIMATIC Automation Tool con la licenza di prova gratuita di 21 giorni Attivazione della licenza di prova Limitazione delle funzioni di SIMATIC Automation Tool senza licenza Attivazione della licenza di SIMATIC Automation Tool
Avvio Indietro Avanti

Esecuzione del download da Siemens Industry Online Support

Installazione e utilizzo di SIMATIC Automation Tool con la licenza di prova gratuita di 21 giorni

È possibile scaricare e installare una versione senza licenza di SIMATIC Automation Tool dalla pagina Web Siemens Industry Online Support e utilizzarla con la licenza di prova gratuita di 21 giorni. La licenza di prova di SIMATIC Automation Tool supporta tutte le funzioni per un periodo di 21 giorni.

Per scaricare la versione di prova gratuita di 21 giorni procedere nel seguente modo:

  1. Scaricare il file SIMATIC_Automation_Tool_V3_1_SP4.exe dalla pagina web Siemens Industry Online Support. Sono disponibili due opzioni di download:

    • Salvare il file SIMATIC_Automation_Tool_V3_1_SP4.exe in un percorso del PC. Se non si indica il percorso, Windows salva il file nella cartella Download. Navigare in seguito nel percorso di destinazione scelto, quindi fare doppio clic sul file .exe per avviare l'estrazione automatica.

    • Eseguire il file di installazione autoestraente.

  2. Per installare il prodotto seguire la procedura descritta in Installazione a partire dal file EXE autoestraente.

Attivazione della licenza di prova

Dopo aver installato la versione di prova gratuita di 21 giorni procedere nel seguente modo:

  1. Aprire SIMATIC Automation Tool dal menu Start o in un altro modo. SIMATIC Automation Tool visualizza la finestra di dialogo Automation License Management.

  2. Selezionare la chiave della licenza di prova di SIMATIC Automation Tool.

  3. Fare clic sul pulsante Attiva.

Una volta attivata la licenza di prova è possibile utilizzare le funzioni complete di SIMATIC Automation Tool per 21 giorni.

Se non si attiva la licenza si può eseguire SIMATIC Automation Tool nella modalità senza licenza.

Limitazione delle funzioni di SIMATIC Automation Tool senza licenza

Se non si attiva la licenza di prova o sono scaduti i 21 giorni di prova SIMATIC Automation Tool consente di utilizzare solo le seguenti funzioni:

  • Comandi dei seguenti menu:

    • Menu File

    • Menu Modifica, incluse le operazioni di modifica della tabella dei dispositivi

    • Menu Opzioni

    • Menu Tool

    • Menu ?

  • Scansione di una rete

  • Inserimento ed eliminazione dei dispositivi

  • Immissione di commenti nella tabella dei dispositivi

  • Recupero dei dati di servizio

  • Visualizzazione della diagnostica della CPU

  • Immissione e modifica delle password della CPU

  • Impostazione delle CPU in modo RUN o STOP

Attivazione della licenza di SIMATIC Automation Tool

Per avere accesso a tutte le funzionalità di SIMATIC Automation Tool una volta scaduti i 21 giorni di prova gratuita è necessario acquistare una licenza da Siemens Industry Mall.

Nota

La licenza viene mantenuta anche dopo la disinstallazione

La licenza di SIMATIC Automation Tool resta nel dispositivo di programmazione anche se si disinstalla il programma.


Acquisto, licenza e download di SIMATIC Automation Tool

Ottenimento di una versione con licenza di SIMATIC Automation Tool Download di una versione con licenza di SIMATIC Automation Tool
Avvio Indietro Avanti - Apri tutto Chiudi tutto

Acquisto, licenza e download di SIMATIC Automation Tool

Per poter utilizzare la versione integrale di SIMATIC Automation Tool si deve disporre di una licenza software.

Ottenimento di una versione con licenza di SIMATIC Automation Tool

A seconda del proprio paese di residenza è possibile ordinare SIMATIC Automation Tool attraverso un distributore o direttamente da Siemens Industry Mall. I clienti che risiedono negli Stati Uniti devono rivolgersi a un distributore. Seguire la procedura raccomandata dal distributore o rivenditore per ordinare SIMATIC Automation Tool. Per effettuare l'ordine, è necessario confermare l’indirizzo di consegna nel proprio paese e accettare le condizioni di esportazione.

Download di una versione con licenza di SIMATIC Automation Tool

Se non è già aperta, aprire la pagina web Online Software Delivery dall'Automation License Manager. Nella scheda Product Download sono visualizzati i prodotti software acquistati e relative licenze.

Nota

Il prodotto deve essere scaricato entro 28 giorni a partire dalla data di conferma dell'acquisto. Si raccomanda di effettuare il download completo o parziale della fornitura prima che siano trascorsi i 28 giorni previsti.

Procedere nel modo seguente per scaricare il certificato di licenza e SIMATIC Automation Tool dalla scheda Product Download:

  1. Fare clic sul pulsante "Certificate" di SIMATIC Automation Tool per visualizzare o salvare il certificato di licenza:

  2. Per trasferire nel disco fisso la licenza per SIMATIC Automation Tool si utilizza Automation License Manager. Sotto l’intestazione della colonna del codice di licenza, trascinare la casella "transfer" in una cartella sul disco fisso. Trascinare il codice di licenza trasferito in un percorso del dispositivo di programmazione. La struttura ad albero sulla sinistra dell’Automation License Manager visualizza i percorsi disponibili.

  3. Fare clic sul pulsante "Download" per scaricare nel dispositivo di programmazione la versione con licenza di SIMATIC Automation Tool.

  4. Nella schermata Download è possibile scegliere di scaricare il file ISO, una versione compressa e autoestraente del file EXE, e la documentazione. È possibile selezionare tutte le opzioni oppure solo quelle desiderate. Il file. iso è l’opzione più pratica se si vuole masterizzare un DVD di installazione, in alternativa si può scaricare il file .exe ed eseguirlo per installare di SIMATIC Automation Tool. Entrambi i tipi di file (ISO o EXE) possono essere utilizzati con un’installazione automatica. Quando viene richiesto, indicare la cartella in cui salvare gli elementi scaricati.
Nota

In caso di problemi durante l’acquisto, la licenza o il download è possibile inserire una richiesta di assistenza nella pagina Web di Online Software Delivery.

Una volta eseguito il download, SIMATIC Automation Tool non può essere restituito né rimborsato.


Installazione a partire dal file EXE autoestraente

Avvio Indietro Avanti - Apri tutto Chiudi tutto

Installazione a partire dal file EXE autoestraente

Per installare SIMATIC Automation Tool dal file EXE autoestraente procedere nel seguente modo:

  1. Se non è già in esecuzione, fare doppio clic sul file SIMATIC_Automation_Tool_V3_1_SP4.exe scaricato.

  2. Seguire le istruzioni a video per estrarre i file ed eseguire l’installazione di SIMATIC Automation Tool. All'inizio dell'installazione si possono scegliere le seguenti opzioni:

    • Estrazione dei file di setup senza installazione: si apre la cartella che contiene i file di installazione estratti in un momento successivo e si avvia manualmente l'installazione facendo clic sul file Start.exe. In alternativa si può eseguire l'installazione automatica dei file.

    • Eliminazione dei file estratti alla fine della procedura: il programma di setup estrae i file, guida l'utente durante l'intera procedura e alla fine dell'installazione elimina i file e estratti. Non selezionare questa opzione se si vogliono mantenere i file per poterli installare in seguito.

Il programma di setup di SIMATIC Automation Tool guida l'utente attraverso tutte le fasi dell'installazione.


Installazione a partire dal file ISO

Installazione a partire dal file ISO

Il file ISO è un'immagine disco dell'installazione di SIMATIC Automation Tool, che può essere ad esempio masterizzata su DVD. Per installare SIMATIC Automation Tool da un file ISO procedere nel seguente modo:

  1. Eseguire una delle seguenti operazioni con un comune programma di estrazione o di masterizzazione:

    • Estrarre nel dispositivo di programmazione la struttura a cartelle del file ISO.
      Nota: È possibile estrarre file da un file ISO con le stesse modalità utilizzate per i file ZIP. Volendo, è possibile utilizzare i file estratti per un’installazione automatica.

    • masterizzare su un DVD i file di installazione di SIMATIC Automation Tool.

  2. Fare doppio clic sul file Start.exe per avviare l'installazione. Il file Start.exe si trova nel percorso in cui sono stati estratti i file o nella root del DVD. Eseguire l'installazione seguendo le istruzioni.

    Il setup guida l'utente attraverso tutte le fasi dell'installazione.


Installazione automatica facoltativa

Installazione automatica facoltativa

È possibile installare SIMATIC Automation Tool dalla riga di comando. L'installazione automatica non richiede l'interazione dell'utente. L'opzione Silent dell'installazione automatica non visualizza le finestre di dialogo dell'installazione.

Se si sceglie l'installazione automatica di SIMATIC Automation Tool, si accettano implicitamente tutti i termini di licenza. Prima di procedere è consigliabile prendere visione dei termini di licenza nel programma di setup non automatico di SIMATIC Automation Tool.

Se non sono stati eliminati i file di installazione estratti, si può trovare una descrizione dell'installazione automatica nella cartella dei file. La guida per l'installazione automatica si trova nel percorso:

Documents\<cartella della lingua>\PEAutoInstall<estensione della lingua>.chm

Le stesse istruzioni si trovano anche nella cartella di installazione:

SIMATIC Automation Tool\bin\<language folder>\PEAutoInstall<language extension>.chm

L'installazione automatica di SIMATIC Automation Tool consente di impostare le seguenti lingue di interfaccia, indipendentemente dalle opzioni della lingua dell'installazione automatica:

  • Inglese

  • Francese

  • Tedesco

  • Italiano

  • Spagnolo

  • Cinese semplificato